__gnu_profile::__stack_hash Class Reference

`#include <profiler_node.h>`

## Public Member Functions

std::size_t | operator() (__stack_t __s) const
bool | operator() (__stack_t __stack1, __stack_t __stack2) const

## Detailed Description

Hash function for summary trace using call stack as index.

Definition at line 93 of file profiler_node.h.

## Member Function Documentation

## operator()() [1/2]

std::size_t __gnu_profile::__stack_hash::operator() | ( | __stack_t | __s | ) | const

inline

Definition at line 97 of file profiler_node.h.

## operator()() [2/2]

bool __gnu_profile::__stack_hash::operator() | ( | __stack_t | __stack1,
|  | __stack_t | __stack2
| ) |  | const

inline

Definition at line 109 of file profiler_node.h.

The documentation for this class was generated from the following file:

- profiler_node.h